Subject: bug#20433: guixsd on macbook

From: Alex Kost <[email-masked]>
Date: Fri, 22 Jan 2016 02:13:35 +0300

[email-masked] (2016-01-22 00:39 +0300) wrote:

> On 2016-01-20 16:47, [email-masked] wrote:
>> Hi,
>>
>> [email-masked] skribis:
>>
>>> I've finished installing correctly GuixSD on macbook. There are some
>>> issue with touchpad.
>>>
>>> If anyone has problems with the keyboard when boot guixsd, fix with
>>> the following commands:
>>>
>>> rmmod usbhid
>>> rmmod usbkbd
>>>
>>> or use an external usb keyboard.
>>
>> Interesting!  We were discussing this at <http://bugs.gnu.org/20433>,
>> and it seems that only ‘usbkbd’ was at fault.
>>
>> Could you check if removing ‘usbkbd’ alone is enough?
>>
>> I would expect ‘usbhid’ to be required since the internal keyboard
>> appears to be a USB device.
>>
>> Thanks,
>> Ludo’.
>
>
> Hi Ludo,
>
> is correct, removing 'usbkbd'.
>
> I only use 'rmmod usbhid' to reload the module of the internal keyboard.
>
> i test configuring from the scratch the machine and it´s working:
>
> (operating-system
>   (host-name "antelope")
>   (timezone "Europe/Paris")
>   (locale "en_US.UTF-8")
>   (kernel-arguments '("modprobe.blacklist=usbkbd"))
> .....
>
>
> if i reconfigure:
>
>   sudo guix system reconfigure /path/to/configuration.scm
>
> is not working.

Did you do "guix pull" before reconfiguring?  Support for
"modprobe.blacklist" arguments was added several days ago, so you need
to have a recent guix code.

-- 
Alex